import getUri, { intToTrkptId } from '../lib/ids';
import { put } from './lib';

const emptyTrkpt: Wpt = {
  $: { lat: 0, lon: 0 },
  ele: undefined,
  time: undefined,
  magvar: undefined,
  geoidheight: undefined,
  name: undefined,
  cmt: undefined,
  desc: undefined,
  src: undefined,
  link: undefined,
  sym: undefined,
  type: undefined,
  fix: undefined,
  sat: undefined,
  hdop: undefined,
  vdop: undefined,
  pdop: undefined,
  ageofdgpsdata: undefined,
  dgpsid: undefined,
  extensions: {
    'dyo:speed': undefined,
    'dyo:course': undefined,
    'dyo:accuracy': undefined,
    'dyo:batterylevel': undefined,
    'dyo:useragent': undefined,
  },
};


export const putTrkpt = async (params: any) => {
  const { id, trkpt } = params;
  trkpt.id = undefined;
  await put(id, 'trkpt', (doc) => trkpt, trkpt);
  return trkpt;
};